##### 7.5.24.0. qminor

Procedure from library `qmatrix.lib` (see qmatrix_lib).

Usage:
  qminor(I,J,n); I,J intvec, n int

Return:
  poly, the quantum minor of a generic n*n quantum matrix

Assume:
  I is the ordered list of the rows to consider in the minor,
  J is the ordered list of the columns to consider in the minor,
  I and J must have the same number of elements,
  n is the order of the quantum matrix algebra you are working with (quantMat(n)).
  The base ring should be constructed using `quantMat`.

Example:

    LIB "qmatrix.lib";
    def r = quantMat(3); // let r be a quantum matrix of order 3
    setring r;
    intvec u = 1,2;
    intvec v = 2,3;
    intvec w = 1,2,3;
    qminor(w,w,3);
    ==> y(1)*y(5)*y(9)+(-q)*y(1)*y(6)*y(8)+(-q)*y(2)*y(4)*y(9)+(q^2)*y(2)*y(6)*y(\
       7)+(q^2)*y(3)*y(4)*y(8)+(-q^3)*y(3)*y(5)*y(7)
    qminor(u,v,3);
    ==> y(2)*y(6)+(-q)*y(3)*y(5)
    qminor(v,u,3);
    ==> y(4)*y(8)+(-q)*y(5)*y(7)
    qminor(u,u,3);
    ==> y(1)*y(5)+(-q)*y(2)*y(4)

See also: quantMat.

User manual for Singular version 4.4.1, 2025, generated by texi2html.